Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.rms
Class ApplicationDescriptorEntry

    java.lang.Object
      com.sun.squawk.rms.RmsEntry
          com.sun.squawk.rms.ApplicationDescriptorEntry

All Implemented Interfaces:
  IApplicationDescriptorEntry, IRmsEntry

    public class ApplicationDescriptorEntry

extends RmsEntry
implements IApplicationDescriptorEntry

Field Summary
`protected String` | `midletName`
`protected String` | `midletVendor`
`protected String` | `midletVersion`
`static String` | `PROPERTY_MIDLET_NAME`
`static String` | `PROPERTY_MIDLET_VENDOR`
`static String` | `PROPERTY_MIDLET_VERSION`
`static int` | `TYPE`

Fields inherited from class com.sun.squawk.rms.RmsEntry
`address, size`

Constructor Summary
`ApplicationDescriptorEntry()`

Method Summary
`String` | `getMidletName()`
`String` | `getMidletVendor()`
`String` | `getMidletVersion()`
`int` | `getType()`
`void` | `readFrom(IMemoryHeapBlock memoryBlock)`
`void` | `setMidletName(String name)`
`void` | `setMidletVendor(String vendor)`
`void` | `setMidletVersion(String version)`
`void` | `visit(IRmsEntryVisitor visitor)`
`void` | `writeTo(DataOutputStream dataOut)`

Methods inherited from class com.sun.squawk.rms.RmsEntry
`getAddress, setAddress, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.squawk.rms.IRmsEntry
`getAddress, setAddress, size`

Field Detail

### PROPERTY_MIDLET_NAME

    public static final String PROPERTY_MIDLET_NAME

See Also:
  Constant Field Values

### PROPERTY_MIDLET_VENDOR

    public static final String PROPERTY_MIDLET_VENDOR

See Also:
  Constant Field Values

### PROPERTY_MIDLET_VERSION

    public static final String PROPERTY_MIDLET_VERSION

See Also:
  Constant Field Values

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

### midletName

    protected String midletName

### midletVendor

    protected String midletVendor

### midletVersion

    protected String midletVersion

Constructor Detail

### ApplicationDescriptorEntry

    public ApplicationDescriptorEntry()

Method Detail

### getMidletName

    public String getMidletName()

  Specified by:
    `getMidletName` in interface `IApplicationDescriptorEntry`

### getMidletVendor

    public String getMidletVendor()

  Specified by:
    `getMidletVendor` in interface `IApplicationDescriptorEntry`

### getMidletVersion

    public String getMidletVersion()

  Specified by:
    `getMidletVersion` in interface `IApplicationDescriptorEntry`

### getType

    public int getType()

  Specified by:
    `getType` in interface `IRmsEntry`

### readFrom

    public void readFrom(IMemoryHeapBlock memoryBlock)
                  throws IOException

  Specified by:
    `readFrom` in interface `IRmsEntry`
  Overrides:
    `readFrom` in class `RmsEntry`
  Throws:
    `IOException`

### setMidletName

    public void setMidletName(String name)

  Specified by:
    `setMidletName` in interface `IApplicationDescriptorEntry`

### setMidletVendor

    public void setMidletVendor(String vendor)

  Specified by:
    `setMidletVendor` in interface `IApplicationDescriptorEntry`

### setMidletVersion

    public void setMidletVersion(String version)

  Specified by:
    `setMidletVersion` in interface `IApplicationDescriptorEntry`

### visit

    public void visit(IRmsEntryVisitor visitor)
               throws RecordStoreException

  Specified by:
    `visit` in interface `IRmsEntry`
  Throws:
    `RecordStoreException`

### writeTo

    public void writeTo(DataOutputStream dataOut)
                 throws IOException

  Specified by:
    `writeTo` in interface `IRmsEntry`
  Overrides:
    `writeTo` in class `RmsEntry`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"